package com.xxl.job.executor.report.service;

import com.xxl.job.executor.common.entity.CtopOauthToken;
import com.xxl.job.executor.report.entity.BytedanceReportMaterialRetry;

import java.util.List;

public interface IBytedanceReportService {

    /**
     * 创建任务
     * @param startDate
     * @param endDate
     * @param token
     * @param type
     */
    void bytedanceAsyncTaskCreate(String startDate, String endDate, CtopOauthToken token, Integer type);

    void bytedanceAsyncTaskGet();

    int bytedanceMaterialReport(CtopOauthToken token, String startDate, String endDate);

    int bytedanceMaterialReportRetry(Integer type, CtopOauthToken token, String startDate, String endDate);

    List<BytedanceReportMaterialRetry> getRetryList();

    int bytedanceVideoMaterialReport(CtopOauthToken token, String startDate, String endDate);
}
